#ifndef ETN_FPGA_MGR_ETN_FPGA__H
#define ETN_FPGA_MGR_ETN_FPGA__H

#include "fpgafeat.h"

enum ETN_FPGA_STATE {
	ETN_FPGA_STATE_USER_MODE = 0,
	ETN_FPGA_STATE_INVALID ,
};

int etn_fpga_state_get(void);
int etn_fpga_ref_get(void);
int etn_fpga_ref_put(void);

struct fpga_feature *etn_fpga_get_feature(int type);
uint16_t etn_fpga_feature_cr_base_on_port(struct fpga_feature *feat, 
		unsigned int port);
uint16_t etn_fpga_feature_sr_base_on_port(struct fpga_feature *feat, 
		unsigned int port);

#endif // ETN_FPGA_MGR_ETN_FPGA__H
