#ifndef _ETN_REGS_H
#define _ETN_REGS_H

void fpga_write_flush(struct etn_netdev *port);

void fpga_fw_write_reg(struct etn_netdev *port, int reg, u16 val);
u16 fpga_fw_read_reg(struct etn_netdev *port, int reg);

int fpga_fw_wait(struct etn_netdev *port, int reg, int bit, int sense);
int fpga_fw_test_bit(struct etn_netdev *port, int reg, int bit);

void fpga_fw_set_bit(struct etn_netdev *port, int reg, int bit);
void fpga_fw_clear_bit(struct etn_netdev *port, int reg, int bit);

void fpga_fw_write_pos(struct etn_netdev *port, int reg, int msb, int lsb, u16 val);

u16 fpga_fw_read_pos(struct etn_netdev *port, int reg, int msb, int lsb);

#endif
